<!DOCTYPE html>	<!-- COMMENT! -->
<meta charset="utf-8">
<html>
	<head>
		
		<!-- Global site tag (gtag.js) - Google Analytics -->
		<script async src="https://www.googletagmanager.com/gtag/js?id=UA-43948323-3"></script>
		<script>
			window.dataLayer = window.dataLayer || [];
			function gtag(){dataLayer.push(arguments);}
			gtag('js', new Date());
			gtag('config', 'UA-43948323-3');
		</script>

		<!-- Set encoding and Title! -->
		<meta charset="utf-8"/>
		<title>Tanglescout</title>
		<link rel="shortcut icon" type="image/x-icon" href="favicon.ico">
		<link rel="icon" href="favicon.ico" type="image/x-icon">
		
		<!-- JS/CSS libraries! -->
		<script src="lib/iota.min.js"></script>
		<script src="lib/Queue.js"></script>
		<script src="lib/d3.v4.min.js"></script>
		<script src="lib/dagre-d3.js"></script>
		<script src="lib/dagre.min.js"></script>
		
		<!-- Own JS/CSS -->
		<link href="css/style.css" rel="stylesheet" type="text/css" />
		<script src="js/_Query.js"></script>
		<script src="js/_Timer.js"></script>
		<script src="js/_Storage.js"></script>
		<script src="js/_Renderer.js"></script>
		<script src="js/_Search.js"></script>
		<script src="js/_UI.js"></script>
		<script src="js/__Main.js"></script>
		
	</head>
	<body onload="__Main_initialize()">

		<!-- Control Panel top-left! -->
		<div id="div_controlPanelTopLeft">
		
			<button onclick="UI.btn_addAddress()" type="button" id="btn_addAddress">Add Address ...</button>
			<button onclick="UI.btn_addAddressClose()" type="button" id="btn_addAddressClose">Abort</button>
			<br>
			<div id="div_enterAddress" contenteditable>
			</div>
			
		</div>
		
		<!-- Control Panel top-right! -->
		<div id="div_controlPanelTopRight">
			<!-- CPTR -->
		</div>
			
		<!-- Graph Rendering! -->
		<div id="div_graphOutput">
			<svg id="svg_visualization">
				<g/>
			</svg>
		</div>
		
		<!-- Control Panel bottom-left! -->
		<div id="div_controlPanelBottomLeft">
			<!-- CPBL -->
		</div>
		
		<!-- Control Panel bottom-right! -->
		<div id="div_controlPanelBottomRight">
			<a target="_blank" href="https://twitter.com/Sven_Fe" title="Follow us on Twitter!"><img src="img/logo_twitter.png"></img></a>
			<a target="_blank" href="https://ecosystem.iota.org/projects/tanglescout" title="Check out our IOTA ecosystem page!"><img src="img/logo_iotaEcosystem.png"></img></a>
			<a target="_blank" href="https://gitlab.com/Aconitin/tanglescout" title="Follow the development on GitLab!"><img src="img/logo_gitlab.png"></img></a>
			<button title="Please consider supporting this website!" onclick="UI.btn_donate()" type="button" id="btn_donate">Donate!</button>
			<div id="div_donate">
				<div id="div_donateAddress">
					GMTIHQSQWHCIZ9GHIDMZPHMCHPWGMT<br>NWCYAEWDLOUASUMELSOKXZEXORMIEI<br>WSIIUKPPOV9WNVEMMBYBBNMBSWYQVY
				</div>
				<br>
				Thank you!
				<br>
				<br>
				<a target="_blank" href="https://thetangle.org/address/GMTIHQSQWHCIZ9GHIDMZPHMCHPWGMTNWCYAEWDLOUASUMELSOKXZEXORMIEIWSIIUKPPOV9WNVEMMBYBBNMBSWYQVY">
					<img src="img/img_qr.png">
					</img>
				</a>
				<br>
			</div>
		</div>
			
	</body>
</html>